For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agent Type

Get agent type by name

get
Path parameters
namestringRequired

the name of the agent type

Responses
200

OK

application/json
get/agent-type/{name}
GET /v1/agent-type/{name} HTTP/1.1
Accept: */*
{
  "agentType": {
    "apiVersion": "string",
    "kind": "string",
    "metadata": {
      "additionalInfo": {
        "documentation": [
          {
            "text": "text",
            "url": "text"
          }
        ],
        "message": "string"
      },
      "blueprintTags": {
        "ANY_ADDITIONAL_PROPERTY": [
          "text"
        ]
      },
      "dateModified": "text",
      "deprecated": true,
      "description": "string",
      "displayName": "string",
      "hash": "text",
      "icon": "string",
      "id": "string",
      "labels": {},
      "name": "string",
      "resourceDocLink": "string",
      "stability": "string",
      "version": 1,
      "warning": "string"
    },
    "spec": {
      "containerImages": [
        {
          "imageTemplate": "text",
          "versionConstraint": "text"
        }
      ],
      "platformArchSet": [
        {
          "arch": "text",
          "platform": "text"
        }
      ],
      "repositoryLink": "text",
      "versionClient": "text"
    },
    "status": {}
  }
}

Last updated

Was this helpful?